import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _extends from '@babel/runtime/helpers/extends';
import _classCallCheck from '@babel/runtime/helpers/classCallCheck';
import _createClass from '@babel/runtime/helpers/createClass';
import _inherits from '@babel/runtime/helpers/inherits';
import _possibleConstructorReturn from '@babel/runtime/helpers/possibleConstructorReturn';
import _getPrototypeOf from '@babel/runtime/helpers/getPrototypeOf';
import React, { Component } from 'react';
import { injectIntl } from 'react-intl';
import { connect } from 'react-redux';
import { Tune, LocalHospital, HealingOutlined, LocalPharmacyOutlined, Healing, LocalPharmacy, Person, AccountBox, SupervisorAccount, PersonOutlined, AccountBalance, PinDrop, LocationCity } from '@material-ui/icons';
import { withModulesManager, formatMessage, MainMenuContribution, ProxyPage } from '@openimis/fe-core';

var RIGHT_PRODUCTS = 121001;
var RIGHT_HEALTHFACILITIES = 121101;
var RIGHT_PRICELISTMS = 121201;
var RIGHT_PRICELISTMI = 121301;
var RIGHT_MEDICALSERVICES = 121401;
var RIGHT_MEDICALITEMS = 122101;
var RIGHT_ENROLMENTOFFICER = 121501;
var RIGHT_CLAIMADMINISTRATOR = 121601;
var RIGHT_USERS = 121701;
var RIGHT_PAYERS = 121801;
var RIGHT_LOCATIONS = 121901;
var RIGHT_USERPROFILES = 122001;

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var AdminMainMenu = /*#__PURE__*/function (_Component) {
  _inherits(AdminMainMenu, _Component);

  var _super = _createSuper(AdminMainMenu);

  function AdminMainMenu() {
    _classCallCheck(this, AdminMainMenu);

    return _super.apply(this, arguments);
  }

  _createClass(AdminMainMenu, [{
    key: "render",
    value: function render() {
      var rights = this.props.rights;
      var entries = [];

      if (rights.includes(RIGHT_PRODUCTS)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.products"),
          icon: /*#__PURE__*/React.createElement(Tune, null),
          route: "/admin/products"
        });
      }

      if (rights.includes(RIGHT_HEALTHFACILITIES)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.healthFacilities"),
          icon: /*#__PURE__*/React.createElement(LocalHospital, null),
          route: "/location/healthFacilities",
          withDivider: true
        });
      }

      if (rights.includes(RIGHT_PRICELISTMS)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.medicalServicesPrices"),
          icon: /*#__PURE__*/React.createElement(HealingOutlined, null),
          route: "/admin/medicalServicesPriceList"
        });
      }

      if (rights.includes(RIGHT_PRICELISTMI)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.medicalItemsPrices"),
          icon: /*#__PURE__*/React.createElement(LocalPharmacyOutlined, null),
          route: "/admin/medicalItemsPriceList",
          withDivider: true
        });
      }

      if (rights.includes(RIGHT_MEDICALSERVICES)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.medicalServices"),
          icon: /*#__PURE__*/React.createElement(Healing, null),
          route: "/admin/medicalServices"
        });
      }

      if (rights.includes(RIGHT_MEDICALITEMS)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.medicalItems"),
          icon: /*#__PURE__*/React.createElement(LocalPharmacy, null),
          route: "/admin/medilcalItems",
          withDivider: true
        });
      }

      if (rights.includes(RIGHT_USERS)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.users"),
          icon: /*#__PURE__*/React.createElement(Person, null),
          route: "/admin/users"
        });
      }

      if (rights.includes(RIGHT_USERPROFILES)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.usersProfiles"),
          icon: /*#__PURE__*/React.createElement(AccountBox, null),
          route: "/admin/userProfiles"
        });
      }

      if (rights.includes(RIGHT_ENROLMENTOFFICER)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.enrollmentOfficers"),
          icon: /*#__PURE__*/React.createElement(SupervisorAccount, null),
          route: "/admin/enrollmentOfficers"
        });
      }

      if (rights.includes(RIGHT_CLAIMADMINISTRATOR)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.claimAdministrators"),
          icon: /*#__PURE__*/React.createElement(PersonOutlined, null),
          route: "/admin/claimAdministrators"
        });
      }

      if (rights.includes(RIGHT_PAYERS)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.payers"),
          icon: /*#__PURE__*/React.createElement(AccountBalance, null),
          route: "/admin/payers"
        });
      }

      if (rights.includes(RIGHT_LOCATIONS)) {
        entries.push({
          text: formatMessage(this.props.intl, "admin", "menu.locations"),
          icon: /*#__PURE__*/React.createElement(PinDrop, null),
          route: "/location/locations"
        });
      }

      if (!entries.length) return null;
      return /*#__PURE__*/React.createElement(MainMenuContribution, _extends({}, this.props, {
        header: formatMessage(this.props.intl, "admin", "mainMenu"),
        icon: /*#__PURE__*/React.createElement(LocationCity, null),
        entries: entries
      }));
    }
  }]);

  return AdminMainMenu;
}(Component);

var mapStateToProps = function mapStateToProps(state) {
  return {
    rights: !!state.core && !!state.core.user && !!state.core.user.i_user ? state.core.user.i_user.rights : []
  };
};

var AdminMainMenu$1 = withModulesManager(injectIntl(connect(mapStateToProps)(AdminMainMenu)));

function _createSuper$1(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$1(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$1() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var ProductsPage = /*#__PURE__*/function (_Component) {
  _inherits(ProductsPage, _Component);

  var _super = _createSuper$1(ProductsPage);

  function ProductsPage() {
    _classCallCheck(this, ProductsPage);

    return _super.apply(this, arguments);
  }

  _createClass(ProductsPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindProduct.aspx"
      });
    }
  }]);

  return ProductsPage;
}(Component);

function _createSuper$2(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$2(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$2() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalServicesPriceListPage = /*#__PURE__*/function (_Component) {
  _inherits(MedicalServicesPriceListPage, _Component);

  var _super = _createSuper$2(MedicalServicesPriceListPage);

  function MedicalServicesPriceListPage() {
    _classCallCheck(this, MedicalServicesPriceListPage);

    return _super.apply(this, arguments);
  }

  _createClass(MedicalServicesPriceListPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindPriceListMS.aspx"
      });
    }
  }]);

  return MedicalServicesPriceListPage;
}(Component);

function _createSuper$3(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$3(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$3() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalItemsPriceListPage = /*#__PURE__*/function (_Component) {
  _inherits(MedicalItemsPriceListPage, _Component);

  var _super = _createSuper$3(MedicalItemsPriceListPage);

  function MedicalItemsPriceListPage() {
    _classCallCheck(this, MedicalItemsPriceListPage);

    return _super.apply(this, arguments);
  }

  _createClass(MedicalItemsPriceListPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindPriceListMI.aspx"
      });
    }
  }]);

  return MedicalItemsPriceListPage;
}(Component);

function _createSuper$4(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$4(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$4() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalServicesPage = /*#__PURE__*/function (_Component) {
  _inherits(MedicalServicesPage, _Component);

  var _super = _createSuper$4(MedicalServicesPage);

  function MedicalServicesPage() {
    _classCallCheck(this, MedicalServicesPage);

    return _super.apply(this, arguments);
  }

  _createClass(MedicalServicesPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindMedicalService.aspx"
      });
    }
  }]);

  return MedicalServicesPage;
}(Component);

function _createSuper$5(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$5(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$5() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalItemsPage = /*#__PURE__*/function (_Component) {
  _inherits(MedicalItemsPage, _Component);

  var _super = _createSuper$5(MedicalItemsPage);

  function MedicalItemsPage() {
    _classCallCheck(this, MedicalItemsPage);

    return _super.apply(this, arguments);
  }

  _createClass(MedicalItemsPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindMedicalItem.aspx"
      });
    }
  }]);

  return MedicalItemsPage;
}(Component);

function _createSuper$6(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$6(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$6() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var UsersPage = /*#__PURE__*/function (_Component) {
  _inherits(UsersPage, _Component);

  var _super = _createSuper$6(UsersPage);

  function UsersPage() {
    _classCallCheck(this, UsersPage);

    return _super.apply(this, arguments);
  }

  _createClass(UsersPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindUser.aspx"
      });
    }
  }]);

  return UsersPage;
}(Component);

function _createSuper$7(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$7(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$7() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var UserProfilesPage = /*#__PURE__*/function (_Component) {
  _inherits(UserProfilesPage, _Component);

  var _super = _createSuper$7(UserProfilesPage);

  function UserProfilesPage() {
    _classCallCheck(this, UserProfilesPage);

    return _super.apply(this, arguments);
  }

  _createClass(UserProfilesPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindProfile.aspx"
      });
    }
  }]);

  return UserProfilesPage;
}(Component);

function _createSuper$8(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$8(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$8() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var EnrollmentOfficersPage = /*#__PURE__*/function (_Component) {
  _inherits(EnrollmentOfficersPage, _Component);

  var _super = _createSuper$8(EnrollmentOfficersPage);

  function EnrollmentOfficersPage() {
    _classCallCheck(this, EnrollmentOfficersPage);

    return _super.apply(this, arguments);
  }

  _createClass(EnrollmentOfficersPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindOfficer.aspx"
      });
    }
  }]);

  return EnrollmentOfficersPage;
}(Component);

function _createSuper$9(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$9(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$9() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var ClaimAdministratorsPage = /*#__PURE__*/function (_Component) {
  _inherits(ClaimAdministratorsPage, _Component);

  var _super = _createSuper$9(ClaimAdministratorsPage);

  function ClaimAdministratorsPage() {
    _classCallCheck(this, ClaimAdministratorsPage);

    return _super.apply(this, arguments);
  }

  _createClass(ClaimAdministratorsPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindClaimAdministrator.aspx"
      });
    }
  }]);

  return ClaimAdministratorsPage;
}(Component);

function _createSuper$a(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$a(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct$a() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var PayersPage = /*#__PURE__*/function (_Component) {
  _inherits(PayersPage, _Component);

  var _super = _createSuper$a(PayersPage);

  function PayersPage() {
    _classCallCheck(this, PayersPage);

    return _super.apply(this, arguments);
  }

  _createClass(PayersPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(ProxyPage, {
        url: "/FindPayer.aspx"
      });
    }
  }]);

  return PayersPage;
}(Component);

var messages_en = {
	"admin.mainMenu": "Administration",
	"admin.menu.products": "Products",
	"admin.menu.healthFacilities": "Health Facilities",
	"admin.menu.medicalServicesPrices": "Medical Services Price List",
	"admin.menu.medicalItemsPrices": "Medical Items Price List",
	"admin.menu.medicalServices": "Medical Services",
	"admin.menu.medicalItems": "Medical Items",
	"admin.menu.users": "Users",
	"admin.menu.usersProfiles": "Users Profiles",
	"admin.menu.enrollmentOfficers": "Enrollment Officers",
	"admin.menu.claimAdministrators": "Claim Administrators",
	"admin.menu.payers": "Payers",
	"admin.menu.locations": "Locations"
};

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
var DEFAULT_CONFIG = {
  "translations": [{
    key: 'en',
    messages: messages_en
  }],
  "core.Router": [{
    path: "admin/products",
    component: ProductsPage
  }, {
    path: "admin/medicalServicesPriceList",
    component: MedicalServicesPriceListPage
  }, {
    path: "admin/medicalItemsPriceList",
    component: MedicalItemsPriceListPage
  }, {
    path: "admin/medicalServices",
    component: MedicalServicesPage
  }, {
    path: "admin/medilcalItems",
    component: MedicalItemsPage
  }, {
    path: "admin/users",
    component: UsersPage
  }, {
    path: "admin/userProfiles",
    component: UserProfilesPage
  }, {
    path: "admin/enrollmentOfficers",
    component: EnrollmentOfficersPage
  }, {
    path: "admin/claimAdministrators",
    component: ClaimAdministratorsPage
  }, {
    path: "admin/payers",
    component: PayersPage
  }],
  "core.MainMenu": [AdminMainMenu$1]
};
var AdminModule = function AdminModule(cfg) {
  return _objectSpread(_objectSpread({}, DEFAULT_CONFIG), cfg);
};

export { AdminModule };
//# sourceMappingURL=index.es.js.map
