'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var _extends = require('@babel/runtime/helpers/extends');
var _classCallCheck = require('@babel/runtime/helpers/classCallCheck');
var _createClass = require('@babel/runtime/helpers/createClass');
var _inherits = require('@babel/runtime/helpers/inherits');
var _possibleConstructorReturn = require('@babel/runtime/helpers/possibleConstructorReturn');
var _getPrototypeOf = require('@babel/runtime/helpers/getPrototypeOf');
var React = require('react');
var reactIntl = require('react-intl');
var reactRedux = require('react-redux');
var icons = require('@material-ui/icons');
var feCore = require('@openimis/fe-core');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);
var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _classCallCheck__default = /*#__PURE__*/_interopDefaultLegacy(_classCallCheck);
var _createClass__default = /*#__PURE__*/_interopDefaultLegacy(_createClass);
var _inherits__default = /*#__PURE__*/_interopDefaultLegacy(_inherits);
var _possibleConstructorReturn__default = /*#__PURE__*/_interopDefaultLegacy(_possibleConstructorReturn);
var _getPrototypeOf__default = /*#__PURE__*/_interopDefaultLegacy(_getPrototypeOf);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var RIGHT_PRODUCTS = 121001;
var RIGHT_HEALTHFACILITIES = 121101;
var RIGHT_PRICELISTMS = 121201;
var RIGHT_PRICELISTMI = 121301;
var RIGHT_MEDICALSERVICES = 121401;
var RIGHT_MEDICALITEMS = 122101;
var RIGHT_ENROLMENTOFFICER = 121501;
var RIGHT_CLAIMADMINISTRATOR = 121601;
var RIGHT_USERS = 121701;
var RIGHT_PAYERS = 121801;
var RIGHT_LOCATIONS = 121901;
var RIGHT_USERPROFILES = 122001;

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var AdminMainMenu = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](AdminMainMenu, _Component);

  var _super = _createSuper(AdminMainMenu);

  function AdminMainMenu() {
    _classCallCheck__default['default'](this, AdminMainMenu);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](AdminMainMenu, [{
    key: "render",
    value: function render() {
      var rights = this.props.rights;
      var entries = [];

      if (rights.includes(RIGHT_PRODUCTS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.products"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.Tune, null),
          route: "/admin/products"
        });
      }

      if (rights.includes(RIGHT_HEALTHFACILITIES)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.healthFacilities"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.LocalHospital, null),
          route: "/location/healthFacilities",
          withDivider: true
        });
      }

      if (rights.includes(RIGHT_PRICELISTMS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalServicesPrices"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.HealingOutlined, null),
          route: "/admin/medicalServicesPriceList"
        });
      }

      if (rights.includes(RIGHT_PRICELISTMI)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalItemsPrices"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.LocalPharmacyOutlined, null),
          route: "/admin/medicalItemsPriceList",
          withDivider: true
        });
      }

      if (rights.includes(RIGHT_MEDICALSERVICES)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalServices"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.Healing, null),
          route: "/admin/medicalServices"
        });
      }

      if (rights.includes(RIGHT_MEDICALITEMS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalItems"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.LocalPharmacy, null),
          route: "/admin/medilcalItems",
          withDivider: true
        });
      }

      if (rights.includes(RIGHT_USERS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.users"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.Person, null),
          route: "/admin/users"
        });
      }

      if (rights.includes(RIGHT_USERPROFILES)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.usersProfiles"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.AccountBox, null),
          route: "/admin/userProfiles"
        });
      }

      if (rights.includes(RIGHT_ENROLMENTOFFICER)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.enrollmentOfficers"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.SupervisorAccount, null),
          route: "/admin/enrollmentOfficers"
        });
      }

      if (rights.includes(RIGHT_CLAIMADMINISTRATOR)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.claimAdministrators"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.PersonOutlined, null),
          route: "/admin/claimAdministrators"
        });
      }

      if (rights.includes(RIGHT_PAYERS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.payers"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.AccountBalance, null),
          route: "/admin/payers"
        });
      }

      if (rights.includes(RIGHT_LOCATIONS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.locations"),
          icon: /*#__PURE__*/React__default['default'].createElement(icons.PinDrop, null),
          route: "/location/locations"
        });
      }

      if (!entries.length) return null;
      return /*#__PURE__*/React__default['default'].createElement(feCore.MainMenuContribution, _extends__default['default']({}, this.props, {
        header: feCore.formatMessage(this.props.intl, "admin", "mainMenu"),
        icon: /*#__PURE__*/React__default['default'].createElement(icons.LocationCity, null),
        entries: entries
      }));
    }
  }]);

  return AdminMainMenu;
}(React.Component);

var mapStateToProps = function mapStateToProps(state) {
  return {
    rights: !!state.core && !!state.core.user && !!state.core.user.i_user ? state.core.user.i_user.rights : []
  };
};

var AdminMainMenu$1 = feCore.withModulesManager(reactIntl.injectIntl(reactRedux.connect(mapStateToProps)(AdminMainMenu)));

function _createSuper$1(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$1(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$1() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var ProductsPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](ProductsPage, _Component);

  var _super = _createSuper$1(ProductsPage);

  function ProductsPage() {
    _classCallCheck__default['default'](this, ProductsPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](ProductsPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindProduct.aspx"
      });
    }
  }]);

  return ProductsPage;
}(React.Component);

function _createSuper$2(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$2(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$2() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalServicesPriceListPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](MedicalServicesPriceListPage, _Component);

  var _super = _createSuper$2(MedicalServicesPriceListPage);

  function MedicalServicesPriceListPage() {
    _classCallCheck__default['default'](this, MedicalServicesPriceListPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](MedicalServicesPriceListPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindPriceListMS.aspx"
      });
    }
  }]);

  return MedicalServicesPriceListPage;
}(React.Component);

function _createSuper$3(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$3(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$3() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalItemsPriceListPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](MedicalItemsPriceListPage, _Component);

  var _super = _createSuper$3(MedicalItemsPriceListPage);

  function MedicalItemsPriceListPage() {
    _classCallCheck__default['default'](this, MedicalItemsPriceListPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](MedicalItemsPriceListPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindPriceListMI.aspx"
      });
    }
  }]);

  return MedicalItemsPriceListPage;
}(React.Component);

function _createSuper$4(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$4(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$4() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalServicesPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](MedicalServicesPage, _Component);

  var _super = _createSuper$4(MedicalServicesPage);

  function MedicalServicesPage() {
    _classCallCheck__default['default'](this, MedicalServicesPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](MedicalServicesPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindMedicalService.aspx"
      });
    }
  }]);

  return MedicalServicesPage;
}(React.Component);

function _createSuper$5(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$5(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$5() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var MedicalItemsPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](MedicalItemsPage, _Component);

  var _super = _createSuper$5(MedicalItemsPage);

  function MedicalItemsPage() {
    _classCallCheck__default['default'](this, MedicalItemsPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](MedicalItemsPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindMedicalItem.aspx"
      });
    }
  }]);

  return MedicalItemsPage;
}(React.Component);

function _createSuper$6(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$6(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$6() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var UsersPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](UsersPage, _Component);

  var _super = _createSuper$6(UsersPage);

  function UsersPage() {
    _classCallCheck__default['default'](this, UsersPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](UsersPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindUser.aspx"
      });
    }
  }]);

  return UsersPage;
}(React.Component);

function _createSuper$7(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$7(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$7() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var UserProfilesPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](UserProfilesPage, _Component);

  var _super = _createSuper$7(UserProfilesPage);

  function UserProfilesPage() {
    _classCallCheck__default['default'](this, UserProfilesPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](UserProfilesPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindProfile.aspx"
      });
    }
  }]);

  return UserProfilesPage;
}(React.Component);

function _createSuper$8(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$8(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$8() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var EnrollmentOfficersPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](EnrollmentOfficersPage, _Component);

  var _super = _createSuper$8(EnrollmentOfficersPage);

  function EnrollmentOfficersPage() {
    _classCallCheck__default['default'](this, EnrollmentOfficersPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](EnrollmentOfficersPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindOfficer.aspx"
      });
    }
  }]);

  return EnrollmentOfficersPage;
}(React.Component);

function _createSuper$9(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$9(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$9() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var ClaimAdministratorsPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](ClaimAdministratorsPage, _Component);

  var _super = _createSuper$9(ClaimAdministratorsPage);

  function ClaimAdministratorsPage() {
    _classCallCheck__default['default'](this, ClaimAdministratorsPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](ClaimAdministratorsPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindClaimAdministrator.aspx"
      });
    }
  }]);

  return ClaimAdministratorsPage;
}(React.Component);

function _createSuper$a(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct$a(); return function _createSuperInternal() { var Super = _getPrototypeOf__default['default'](Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf__default['default'](this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn__default['default'](this, result); }; }

function _isNativeReflectConstruct$a() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var PayersPage = /*#__PURE__*/function (_Component) {
  _inherits__default['default'](PayersPage, _Component);

  var _super = _createSuper$a(PayersPage);

  function PayersPage() {
    _classCallCheck__default['default'](this, PayersPage);

    return _super.apply(this, arguments);
  }

  _createClass__default['default'](PayersPage, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React__default['default'].createElement(feCore.ProxyPage, {
        url: "/FindPayer.aspx"
      });
    }
  }]);

  return PayersPage;
}(React.Component);

var messages_en = {
	"admin.mainMenu": "Administration",
	"admin.menu.products": "Products",
	"admin.menu.healthFacilities": "Health Facilities",
	"admin.menu.medicalServicesPrices": "Medical Services Price List",
	"admin.menu.medicalItemsPrices": "Medical Items Price List",
	"admin.menu.medicalServices": "Medical Services",
	"admin.menu.medicalItems": "Medical Items",
	"admin.menu.users": "Users",
	"admin.menu.usersProfiles": "Users Profiles",
	"admin.menu.enrollmentOfficers": "Enrollment Officers",
	"admin.menu.claimAdministrators": "Claim Administrators",
	"admin.menu.payers": "Payers",
	"admin.menu.locations": "Locations"
};

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty__default['default'](target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
var DEFAULT_CONFIG = {
  "translations": [{
    key: 'en',
    messages: messages_en
  }],
  "core.Router": [{
    path: "admin/products",
    component: ProductsPage
  }, {
    path: "admin/medicalServicesPriceList",
    component: MedicalServicesPriceListPage
  }, {
    path: "admin/medicalItemsPriceList",
    component: MedicalItemsPriceListPage
  }, {
    path: "admin/medicalServices",
    component: MedicalServicesPage
  }, {
    path: "admin/medilcalItems",
    component: MedicalItemsPage
  }, {
    path: "admin/users",
    component: UsersPage
  }, {
    path: "admin/userProfiles",
    component: UserProfilesPage
  }, {
    path: "admin/enrollmentOfficers",
    component: EnrollmentOfficersPage
  }, {
    path: "admin/claimAdministrators",
    component: ClaimAdministratorsPage
  }, {
    path: "admin/payers",
    component: PayersPage
  }],
  "core.MainMenu": [AdminMainMenu$1]
};
var AdminModule = function AdminModule(cfg) {
  return _objectSpread(_objectSpread({}, DEFAULT_CONFIG), cfg);
};

exports.AdminModule = AdminModule;
//# sourceMappingURL=index.js.map
